{%- if cookiecutter.include_volume == "many" %}
{% raw %}
{{- $builtinVolumes := include "{% endraw %}{{ cookiecutter.template_base_name }}{% raw %}.builtinVolumes" . | fromYaml -}}
{{- $allVolumes := mustMergeOverwrite (dict) $builtinVolumes .Values.volumes -}}

{{- range $allVolumes }}{% endraw %}
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  creationTimestamp: null
  labels:
    {{ "{{-" }} include "{{ cookiecutter.template_base_name }}.labels" . | nindent 4 {{ "}}" }}
    io.kompose.service: {% raw %}{{ .Values.baseName }}{% endraw %}
  name: {% raw %}{{ .name | quote }}{% endraw %}
  {%- raw %}
  {{- if or (not (hasKey . "keep")) (eq (coalesce .keep false) true) }}
  annotations:
    "helm.sh/resource-policy": keep
  {{- end }}
  {%- endraw %}
spec:
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: {% raw %}{{ .storage | default "1Gi" | quote }}{% endraw %}
status: {}
...
{% raw %}{{- end }}{% endraw %}
{%- endif %}